DocMkrParserInternal::State Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
DocMkrParserInternal::State Struct Reference

Internal: the state of a DocMkrParser. More...

## Public Member Functions
| State ()
| constructor More...
int | pictInfoId (int zId, int lId) const
| return a pictinfo id corresponding to a zone and a local if More...
void | findPictInfoUnit (int nZones)
| try to find the picture info unit (fixme: a hack) More...

## Public Attributes
std::map< int, MWAWEntry > | m_idPictEntryMap
| a map id->pictEntry More...
std::map< int, PictInfo > | m_idPictInfoMap
| a map id->pictInfo More...
int | m_zonePictInfoUnit
| the zone unit to retrieve pictInfo More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a DocMkrParser.

## Constructor & Destructor Documentation

DocMkrParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

void DocMkrParserInternal::State::findPictInfoUnit | ( | int | nZones | ) |

try to find the picture info unit (fixme: a hack)

int DocMkrParserInternal::State::pictInfoId | ( | int | zId,
|  | int | lId
| ) |  | const
| inline

return a pictinfo id corresponding to a zone and a local if

## Member Data Documentation

int DocMkrParserInternal::State::m_actPage

the actual page

int DocMkrParserInternal::State::m_footerHeight

the footer height if known

int DocMkrParserInternal::State::m_headerHeight

the header height if known

std::map<int,MWAWEntry> DocMkrParserInternal::State::m_idPictEntryMap

a map id->pictEntry

std::map<int,PictInfo> DocMkrParserInternal::State::m_idPictInfoMap

a map id->pictInfo

Referenced by findPictInfoUnit().

int DocMkrParserInternal::State::m_numPages

the number of page of the final document

int DocMkrParserInternal::State::m_zonePictInfoUnit

the zone unit to retrieve pictInfo

Referenced by findPictInfoUnit(), and pictInfoId().

The documentation for this struct was generated from the following file:

- DocMkrParser.cxx